org.wildfly.swarm.config.messaging.activemq.server

## Class InVMAcceptor<T extends InVMAcceptor<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.InVMAcceptor<T>

-     public class InVMAcceptor<T extends InVMAcceptor<T>>
      extends Object

  Defines a way in which in-VM connections can be made to the ActiveMQ server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InVMAcceptor(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `param(String key, Object value)` A key-value pair understood by the acceptor factory-class and used to configure it.
    `Map` | `params()` A key-value pair understood by the acceptor factory-class and used to configure it.
    `T` | `params(Map value)` A key-value pair understood by the acceptor factory-class and used to configure it.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Integer` | `serverId()` The server id.
    `T` | `serverId(Integer value)` The server id.
    `Boolean` | `started()` Whether this acceptor is started.
    `T` | `started(Boolean value)` Whether this acceptor is started.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMAcceptor

          public InVMAcceptor(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### params

          public Map params()

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### params

          public T params(Map value)

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### param

          public T param(String key,
                         Object value)

      A key-value pair understood by the acceptor factory-class and used to configure it.

    - #### serverId

          public Integer serverId()

      The server id.

    - #### serverId

          public T serverId(Integer value)

      The server id.

    - #### started

          public Boolean started()

      Whether this acceptor is started.

    - #### started

          public T started(Boolean value)

      Whether this acceptor is started.

Copyright © 2018 JBoss by Red Hat. All rights reserved.